/**********************************************************/
/*                                                        */
/*                  QWheelSynZoomSvc                 */
/*                       1.0.3                      */
/*                                                        */
/*       */
/*    ,     */
/*   QChartSynZoom,    1.6.0.        */
/*                                                        */
/*    ,                 */
/* . -  ., 2012 .,       */
/*   . . , . .        */
/*                                                        */
/*     . */
/*   .                         */
/*                                                        */
/**********************************************************/

#ifndef QWHEELSYNZOOMSVC_H
#define QWHEELSYNZOOMSVC_H

#include "qchartsynzoom.h"

class QWheelSynZoomSvc : public QObject
{
    Q_OBJECT

public:
    // 
    explicit QWheelSynZoomSvc();

    //     
    void attach(QChartSynZoom *);

    //    
    //    
    void setWheelFactor(double);

protected:
    //   
    bool eventFilter(QObject *,QEvent *);

private slots:
    //   -   
    void connectPlot(int);

private:
    QChartSynZoom *zoom;    //   
    double sfact;           // ,    
                            //     (   1.2)

    //  /  Ctrl
    void switchWheel(QEvent *);
    //      
    void applyWheel(QEvent *,bool,bool,int);
    //    
    void procWheel(QEvent *,int);
};

#endif // QWHEELSYNZOOMSVC_H
